Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class ExternalNameRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.ExternalNameRecord

    public final class ExternalNameRecord

extends StandardRecord

EXTERNALNAME (0x0023)

Author:
  Josh Micich

Field Summary
`static short` | `sid`

Constructor Summary
`ExternalNameRecord()`
`ExternalNameRecord(RecordInputStream in)`

Method Summary
`short` | `getIx()` If this is a local name, then this is the (1 based) index of the name of the Sheet this refers to, as defined in the preceeding `SupBookRecord`.
`Ptg[]` | `getParsedExpression()`
`short` | `getSid()` return the non static version of the id for this record.
`java.lang.String` | `getText()`
`boolean` | `isAutomaticLink()` For OLE and DDE, links can be either 'automatic' or 'manual'
`boolean` | `isBuiltInName()` Convenience Function to determine if the name is a built-in name
`boolean` | `isIconifiedPictureLink()`
`boolean` | `isOLELink()`
`boolean` | `isPicureLink()` only for OLE and DDE
`boolean` | `isStdDocumentNameIdentifier()` DDE links only.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setIx(short ix)`
`void` | `setParsedExpression(Ptg[] ptgs)`
`void` | `setText(java.lang.String str)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ExternalNameRecord

    public ExternalNameRecord()

### ExternalNameRecord

    public ExternalNameRecord(RecordInputStream in)

Method Detail

### isBuiltInName

    public boolean isBuiltInName()

  Convenience Function to determine if the name is a built-in name

### isAutomaticLink

    public boolean isAutomaticLink()

  For OLE and DDE, links can be either 'automatic' or 'manual'

### isPicureLink

    public boolean isPicureLink()

  only for OLE and DDE

### isStdDocumentNameIdentifier

    public boolean isStdDocumentNameIdentifier()

  DDE links only. If `true`, this denotes the 'StdDocumentName'

### isOLELink

    public boolean isOLELink()

### isIconifiedPictureLink

    public boolean isIconifiedPictureLink()

### getText

    public java.lang.String getText()

  Returns:
    the standard String representation of this name

### setText

    public void setText(java.lang.String str)

### getIx

    public short getIx()

  If this is a local name, then this is the (1 based) index of the name of the Sheet this refers to, as defined in the preceeding `SupBookRecord`. If it isn't a local name, then it must be zero.

### setIx

    public void setIx(short ix)

### getParsedExpression

    public Ptg[] getParsedExpression()

### setParsedExpression

    public void setParsedExpression(Ptg[] ptgs)

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD